package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TIncidentRecordsMapper;
import com.ruoyi.project.ehs.domain.TIncidentRecords;
import com.ruoyi.project.ehs.service.ITIncidentRecordsService;

import javax.annotation.Resource;

/**
 * 事件报告清单Service业务层处理
 *
 * @author ruoyi
 * @date 2021-07-27
 */
@Service
public class TIncidentRecordsServiceImpl implements ITIncidentRecordsService
{
    @Resource
    private TIncidentRecordsMapper tIncidentRecordsMapper;

    /**
     * 查询事件报告清单
     *
     * @param id 事件报告清单ID
     * @return 事件报告清单
     */
    @Override
    public TIncidentRecords selectTIncidentRecordsById(Long id)
    {
        return tIncidentRecordsMapper.selectTIncidentRecordsById(id);
    }

    /**
     * 查询事件报告清单列表
     *
     * @param tIncidentRecords 事件报告清单
     * @return 事件报告清单
     */
    @Override
    public List<TIncidentRecords> selectTIncidentRecordsList(TIncidentRecords tIncidentRecords)
    {
        return tIncidentRecordsMapper.selectTIncidentRecordsList(tIncidentRecords);
    }

    /**
     * 新增事件报告清单
     *
     * @param tIncidentRecords 事件报告清单
     * @return 结果
     */
    @Override
    public int insertTIncidentRecords(TIncidentRecords tIncidentRecords)
    {
        return tIncidentRecordsMapper.insertTIncidentRecords(tIncidentRecords);
    }

    /**
     * 修改事件报告清单
     *
     * @param tIncidentRecords 事件报告清单
     * @return 结果
     */
    @Override
    public int updateTIncidentRecords(TIncidentRecords tIncidentRecords)
    {
        return tIncidentRecordsMapper.updateTIncidentRecords(tIncidentRecords);
    }

    /**
     * 批量删除事件报告清单
     *
     * @param ids 需要删除的事件报告清单ID
     * @return 结果
     */
    @Override
    public int deleteTIncidentRecordsByIds(Long[] ids)
    {
        return tIncidentRecordsMapper.deleteTIncidentRecordsByIds(ids);
    }

    /**
     * 删除事件报告清单信息
     *
     * @param id 事件报告清单ID
     * @return 结果
     */
    @Override
    public int deleteTIncidentRecordsById(Long id)
    {
        return tIncidentRecordsMapper.deleteTIncidentRecordsById(id);
    }
}
